#include "widget.h"
#include<QVBoxLayout>

Widget::Widget(QWidget *parent)
    : QWidget(parent)
{
    resize(500,100);
    QVBoxLayout *vbox = new QVBoxLayout(this);

    calendar = new QCalendarWidget();
    calendar->setGridVisible(true);
    calendar->setStyleSheet("background-color:yellow");
    connect(calendar, SIGNAL(selectionChanged()), this, SLOT(selectData()));

    label = new QLabel("Hello");
    label->setFont(QFont("Times", 15));
    label->setStyleSheet("color:red");

    vbox->addWidget(calendar);
    vbox->addWidget(label);
}

Widget::~Widget()
{
}

void Widget::selectData()
{
    QString dateSelected = calendar->selectedDate().toString();
    label->setText(dateSelected);

}

